Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.rop
Class SoftRandomAccessResultList

    java.lang.Object
      org.apache.openjpa.lib.rop.AbstractResultList
          org.apache.openjpa.lib.rop.AbstractNonSequentialResultList
              org.apache.openjpa.lib.rop.RandomAccessResultList
                  org.apache.openjpa.lib.rop.SoftRandomAccessResultList

All Implemented Interfaces:
  Serializable, Iterable, Collection, List, ResultList, Closeable

    public class SoftRandomAccessResultList

extends RandomAccessResultList

Specialization of the `RandomAccessResultList` that only maintains soft references to instantiated objects.

Author:
  Abe White
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.lib.rop.AbstractNonSequentialResultList
`PAST_END`

Constructor Summary
`SoftRandomAccessResultList(ResultObjectProvider rop)`

Method Summary
`protected Map` | `newRowMap()` Override this method to control what kind of map is used for the instantiated rows.

Methods inherited from class org.apache.openjpa.lib.rop.RandomAccessResultList
`close, equals, getInternal, hashCode, isClosed, isProviderOpen, size, toString, writeReplace`

Methods inherited from class org.apache.openjpa.lib.rop.AbstractNonSequentialResultList
`contains, containsAll, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, subList, toArray, toArray`

Methods inherited from class org.apache.openjpa.lib.rop.AbstractResultList
`add, add, addAll, addAll, assertOpen, clear, getUserObject, remove, remove, removeAll, retainAll, set, setUserObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoftRandomAccessResultList

    public SoftRandomAccessResultList(ResultObjectProvider rop)

Method Detail

### newRowMap

    protected Map newRowMap()

  Description copied from class: `RandomAccessResultList`
  Override this method to control what kind of map is used for the instantiated rows.

  Overrides:
    `newRowMap` in class `RandomAccessResultList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.